device_type: cubietruck

job_name: standard Debian buster ARMMP nfs test on cubietruck
timeouts:
  job:
    minutes: 15
  action:
    minutes: 5
  connection:
    minutes: 3
priority: medium
visibility: public

metadata:
  source: https://git.linaro.org/lava-team/refactoring.git
  path: standard/standard-armmp-nfs-cubietruck.yaml
  lava.series: release-testing
  build-readme: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/debian-buster-armmp-armhf-readme.html
  build-console: https://ci.linaro.org/view/lava-ci/job/lava-debian-buster-armmp-armhf/1/console
  build-script: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/armmp-nfs.sh

notify:
  criteria:
    status: incomplete
  verbosity: quiet
  recipients:
  - to:
     user: neil.williams
     method: email
  - to:
     user: matthew.hart
     method: email
  - to:
     user: stevan.radakovic
     method: email
  - to:
     user: remi.duraffort
     method: email
  - to:
     user: senthil.kumaran
     method: email
  - to:
     user: dean.arnold
     method: email

actions:
- deploy:
    timeout:
      minutes: 10
    to: tftp
    kernel:
      url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/vmlinuz-4.16.0-2-armmp
      sha256sum: 753431eaa3f7198a4bd28eabbb4c435260a3c20d27435c5ea745a4892fcdfffb
      type: zimage
    ramdisk:
      url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/initrd.img-4.16.0-2-armmp
      sha256sum: 155988e264aba03801bf02ccd90db5d75882e33c013fbb26fa211062aa47d350
      compression: gz
      # the bootloader needs a u-boot header on the modified ramdisk
      add-header: u-boot
    modules:
      url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/modules.tar.gz
      sha256sum: 99f3c5df5ad279adc92530cbb89715ad3eee4f020c0b1341faeda525cc717b14
      compression: gz
    nfsrootfs:
      url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/buster-armhf-nfs.tar.gz
      sha256sum: 816cdd7acbc50244afbb897e28b1c0e5f57872b1b8416fa2798d25407a686d09
      compression: gz
    dtb:
      url: http://images.validation.linaro.org/snapshots.linaro.org/components/lava/standard/debian/buster/armhf/1/dtbs/sun7i-a20-cubietruck.dtb

- boot:
    method: u-boot
    commands: nfs
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@buster:'
    timeout:
      minutes: 5

- test:
    timeout:
      minutes: 10
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
    - from: git
      repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      path: lava-test-shell/params/nfs.yaml
      name: nfs-dns
    - from: git
      repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      path: lava-test-shell/single-node/singlenode02.yaml
      name: singlenode-intermediate
